Trying to cancel a build on a host with invalid data doesn't provide any additional information to

address the problem

11/19/2015 06:22 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Shimon Shtein   

Category: Host creation   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1247542 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3770,

https://github.com/theforeman/foreman/p

ull/3773

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1247542

Description of problem:

Host provisioned from Satellite 6 but the profile is still in build mode and unable to cancel it.

Client is deployed and working fine.

Katello-agent and goferd packages are of latest version on client system.

goferd service working on client.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1.

2.

3.

Actual results:

Failed to cancel pending build

Expected results:

After clicking on cancel build from webui the build should canecl.

Additional info:

No paused/pending task with result as error.

Clicking on cancel build do not initiate any task.

All services are working on satellite.

Associated revisions

Revision 9b1708f7 - 08/24/2016 06:41 AM - Shimon Shtein

Fixes #12544 - added errors from host to cancelBuild

Now the flash will contain detailed error messages.

Revision bfa131a8 - 08/24/2016 08:45 AM - Dominic Cleal

refs #12544 - replace ordered interpolation with named variables

History

#1 - 11/20/2015 02:53 AM - Dominic Cleal

- Status changed from New to Need more information

05/18/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1247542


There could be a huge number of reasons for this, can you point to exactly what validation/orchestration step is failing here?  At least provide logs.

#2 - 03/06/2016 06:40 AM - Ohad Levy

- Assignee changed from Ohad Levy to Shimon Shtein

#3 - 08/16/2016 07:44 AM - Ivan Necas

- Subject changed from When try to cancel build in the hosts screen it errors with "Failed to cancel pending build" on Red Hat Satellite 6. to Trying to

cancel a build on a host with invalid data doesn't provide any additional information to address the problem

- Status changed from Need more information to New

- Target version set to 1.6.1

I've renamed the subject of the issue. I agree that there is too many things that could be wrong

with the host to be able to address this in one issue. However, what all the issues have in common

is the error message not really be informative.

The solution to this issue should be letting the user know what exactly is not valid on the host

when the cancel build fails.

#4 - 08/23/2016 02:01 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3770 added

#5 - 08/24/2016 06:56 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3773 added

#6 - 08/24/2016 07:02 AM - Shimon Shtein

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9b1708f79d0e180b88999c1c7db0d7dc2e39bd23.

#7 - 08/24/2016 07:16 AM - Dominic Cleal

- Category set to Host creation

- translation missing: en.field_release set to 160
